AbstractStateReplacementFlow.Proposal
Keywords: net.corda.core.flows.AbstractStateReplacementFlow.Proposal class
Date: 2023-09-18

net.corda.core.flows

## Class AbstractStateReplacementFlow.Proposal<M>

- net.corda.core.flows.AbstractStateReplacementFlow.Proposal<M>

- Type Parameters:
    `M` -

    the type of a class representing proposed modification by the instigator.

  Enclosing class:
    AbstractStateReplacementFlow

      public static class AbstractStateReplacementFlow.Proposal<M>

  The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

  See Also:
    `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`

- - ### Constructor Detail

    - #### Proposal

          public Proposal(@NotNull
                          StateRef stateRef,
                          M modification)

      The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

      See Also:
        `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`

  - ### Method Detail

    - #### getStateRef

          @NotNull
          public StateRef getStateRef()

    - #### getModification

          public M getModification()

    - #### component1

          @NotNull
          public StateRef component1()

    - #### component2

          public M component2()

    - #### copy

          @NotNull
          public net.corda.core.flows.AbstractStateReplacementFlow.Proposal<M> copy(@NotNull
                                                                                             StateRef stateRef,
                                                                                             M modification)

      The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

      See Also:
        `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`

    - #### toString

          @NotNull
          public java.lang.String toString()

      The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

      See Also:
        `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`

    - #### hashCode

          public int hashCode()

      The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

      See Also:
        `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      The `class AbstractStateReplacementFlow.Proposal` contains the details of proposed state modification. This is the message sent by the `class AbstractStateReplacementFlow.Instigator` to all participants(`class AbstractStateReplacementFlow.Acceptor`) during the state replacement process.

      See Also:
        `class AbstractStateReplacementFlow.Proposal`, `class AbstractStateReplacementFlow.Instigator`, `class AbstractStateReplacementFlow.Acceptor`